Subject: Re: I have end-of-lifed cvsps

From: "Eric S. Raymond" <[email-masked]>
Date: Tue, 17 Dec 2013 16:02:55 -0500

Jakub Narębski <[email-masked]>:
> Errr... doesn't cvs-fast-export support --export-marks=<file> to save
> progress and --import-marks=<file> to continue incremental import?

No, cvs-fast-export does not have --export-marks. It doesn't generate the
SHA1s that would require. Even if it did, it's not clear how that would help.

> I would check it in cvs-fast-export manpage, but the page seems to
> be down:
> 
>   http://isup.me/www.catb.org
> 
>     It's not just you! http://www.catb.org looks down from here.

Confirmed.  Looks like ibiblio is having a bad day.  I'll file a bug report. 

> > Fortunately, incremental dump is trivial to implement in the output
> > stage of an exporter if you have access to the exporter source code.
> > I've done it in two different exporters.  cvs-fast-export now has a
> > regression test for this case
> 
> This is I guess assuming that information from later commits doesn't
> change guesses about shape of history from earlier commits...

That's the "stability" property that Martin Langhoff and I were discussing
earlier.

cvs-fast-export conversions are stable under incremental
lifting providing a commitid-generating version of CVS is in use
during each increment.  Portions of the history *before the first
lift* may lack commitids and will nevertheless remain stable through
the whole process.

All versions of CVS have generated commitids since 2004.
-- 
		<a href="http://www.catb.org/~esr/">Eric S. Raymond</a>